> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search clients

> Returns a list of clients that match the provided filters. Supports a flexible filter set and returns paginated results with basic client information.



## OpenAPI

````yaml /api-reference/openapi.json post /clients/_search
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /clients/_search:
    post:
      tags:
        - Clients
      summary: Search clients
      description: >-
        Returns a list of clients that match the provided filters. Supports a
        flexible filter set and returns paginated results with basic client
        information.
      operationId: searchClients
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchClientsRequestDto'
      responses:
        '200':
          description: Successfully searched clients
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchClientsResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ValidationExceptionDto'
                  - $ref: '#/components/schemas/ExceptionBaseDto'
        '401':
          description: Unauthorized - invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    SearchClientsRequestDto:
      type: object
      properties:
        filters:
          type: array
          items:
            $ref: '#/components/schemas/AppliedClientFilterDto'
        page:
          default: 0
          type: integer
          minimum: 0
          maximum: 9007199254740991
        pageSize:
          default: 20
          type: integer
          minimum: 1
          maximum: 100
      id: PrivateSearchClientsRequestDto
    SearchClientsResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ClientSearchItemDto'
        pagination:
          $ref: '#/components/schemas/SearchClientsPaginationDto'
      required:
        - items
        - pagination
      id: PrivateSearchClientsResponseDto
    ValidationExceptionDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ValidationIssueDto'
      required:
        - status
        - message
        - requestId
        - errors
      id: ValidationExceptionDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
    AppliedClientFilterDto:
      anyOf:
        - $ref: '#/components/schemas/AppliedClientTextFilterDto'
        - $ref: '#/components/schemas/AppliedClientEntitySelectFilterDto'
        - $ref: '#/components/schemas/AppliedClientEntityMultiSelectFilterDto'
        - $ref: '#/components/schemas/AppliedClientEnumMultiSelectFilterDto'
        - $ref: '#/components/schemas/AppliedClientDateFilterDto'
        - $ref: '#/components/schemas/AppliedClientDateRangeFilterDto'
        - $ref: '#/components/schemas/AppliedClientCustomAttributeFilterDto'
      id: PrivateAppliedClientFilterDto
    ClientSearchItemDto:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          description: Unique identifier for the client (company ID)
        name:
          type: string
          description: Client / company name
        domain:
          anyOf:
            - type: string
            - type: 'null'
          description: Company website domain
        logoUrl:
          anyOf:
            - type: string
            - type: 'null'
          description: Company logo URL
        stage:
          $ref: '#/components/schemas/ClientStageDto'
          description: Pipeline stage for this client
        createdAt:
          $ref: '#/components/schemas/DateISO'
          description: Timestamp when the client was created
        modifiedAt:
          $ref: '#/components/schemas/DateISO'
          description: Timestamp when the client was last modified
      required:
        - id
        - name
        - domain
        - logoUrl
        - stage
        - createdAt
        - modifiedAt
      id: PrivateClientSearchItemDto
    SearchClientsPaginationDto:
      type: object
      properties:
        hasNextPage:
          type: boolean
      required:
        - hasNextPage
      id: PrivateSearchClientsPaginationDto
    ValidationIssueDto:
      oneOf:
        - $ref: '#/components/schemas/ValidationRequiredDto'
        - $ref: '#/components/schemas/ValidationInvalidEmptyStringDto'
        - $ref: '#/components/schemas/ValidationUnknownFieldDto'
        - $ref: '#/components/schemas/ValidationTooSmallDto'
        - $ref: '#/components/schemas/ValidationTooBigDto'
        - $ref: '#/components/schemas/ValidationInvalidTypeDto'
        - $ref: '#/components/schemas/ValidationInvalidValueDto'
        - $ref: '#/components/schemas/ValidationInvalidEmailDto'
        - $ref: '#/components/schemas/ValidationInvalidUuidDto'
        - $ref: '#/components/schemas/ValidationInvalidUrlDto'
        - $ref: '#/components/schemas/ValidationInvalidDatetimeDto'
        - $ref: '#/components/schemas/ValidationInvalidDateDto'
        - $ref: '#/components/schemas/ValidationInvalidTimeDto'
        - $ref: '#/components/schemas/ValidationInvalidDurationDto'
        - $ref: '#/components/schemas/ValidationInvalidIpv4Dto'
        - $ref: '#/components/schemas/ValidationInvalidIpv6Dto'
        - $ref: '#/components/schemas/ValidationInvalidJsonStringDto'
        - $ref: '#/components/schemas/ValidationInvalidJwtDto'
        - $ref: '#/components/schemas/ValidationInvalidRegexDto'
        - $ref: '#/components/schemas/ValidationInvalidPhoneNumberDto'
        - $ref: '#/components/schemas/ValidationInvalidDomainDto'
        - $ref: '#/components/schemas/ValidationInvalidHttpsUrlDto'
        - $ref: '#/components/schemas/ValidationInvalidTimezoneDto'
        - $ref: '#/components/schemas/ValidationPaginationOffsetExceededDto'
      id: ValidationIssueDto
    AppliedClientTextFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - text
        operator:
          type: string
          enum:
            - contains
            - equals
            - startsWith
            - notEquals
        path:
          type: string
          enum:
            - client.company.name
            - client.company.domain
            - client.company.description
        value:
          type: string
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientTextFilterDto
    AppliedClientEntitySelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - entitySelect
        operator:
          type: string
          enum:
            - in
            - notIn
        path:
          type: string
          enum:
            - client.stage
            - client.contacts
        value:
          type: string
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientEntitySelectFilterDto
    AppliedClientEntityMultiSelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - entityMultiSelect
        operator:
          type: string
          enum:
            - in
            - notIn
            - isAllOf
        path:
          type: string
          enum:
            - client.stage
            - client.contacts
        value:
          type: array
          items:
            type: string
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientEntityMultiSelectFilterDto
    AppliedClientEnumMultiSelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - enumMultiSelect
        operator:
          type: string
          enum:
            - in
            - notIn
            - isAllOf
        path:
          type: string
          enum:
            - client.company.size
        value:
          type: array
          items:
            type: string
            enum:
              - 1 employee
              - 2-10 employees
              - 11-50 employees
              - 51-200 employees
              - 201-500 employees
              - 501-1,000 employees
              - 1,001-5,000 employees
              - 5,001-10,000 employees
              - 10,001+ employees
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientEnumMultiSelectFilterDto
    AppliedClientDateFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - date
        operator:
          type: string
          enum:
            - lessThanOrEqual
            - greaterThanOrEqual
            - equals
            - notEquals
        path:
          type: string
          enum:
            - client.createdAt
        value:
          $ref: '#/components/schemas/DateISO'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientDateFilterDto
    AppliedClientDateRangeFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - dateRange
        operator:
          type: string
          enum:
            - between
        path:
          type: string
          enum:
            - client.createdAt
        value:
          type: object
          properties:
            from:
              $ref: '#/components/schemas/DateISO'
            to:
              $ref: '#/components/schemas/DateISO'
          required:
            - from
            - to
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientDateRangeFilterDto
    AppliedClientCustomAttributeFilterDto:
      anyOf:
        - $ref: '#/components/schemas/AppliedClientCustomTextFilterDto'
        - $ref: '#/components/schemas/AppliedClientCustomDateFilterDto'
        - $ref: '#/components/schemas/AppliedClientCustomEmptyDateFilterDto'
        - $ref: '#/components/schemas/AppliedClientCustomDateRangeFilterDto'
        - $ref: '#/components/schemas/AppliedClientCustomEntitySelectFilterDto'
        - $ref: '#/components/schemas/AppliedClientCustomEntityMultiSelectFilterDto'
        - $ref: '#/components/schemas/AppliedClientCustomNumberFilterDto'
        - $ref: '#/components/schemas/AppliedClientCustomNumberRangeFilterDto'
        - $ref: '#/components/schemas/AppliedClientCustomBooleanFilterDto'
        - $ref: '#/components/schemas/AppliedClientCustomEnumSelectFilterDto'
        - $ref: '#/components/schemas/AppliedClientCustomEnumListSelectFilterDto'
        - $ref: '#/components/schemas/AppliedClientCustomCurrencyFilterDto'
        - $ref: '#/components/schemas/AppliedClientCustomDurationFilterDto'
        - $ref: '#/components/schemas/AppliedClientCustomUrlFilterDto'
        - $ref: '#/components/schemas/AppliedClientCustomTimeStampFilterDto'
        - $ref: '#/components/schemas/AppliedClientCustomRatingFilterDto'
        - $ref: '#/components/schemas/AppliedClientCustomRatingRangeFilterDto'
      id: PrivateAppliedClientCustomAttributeFilterDto
    ClientStageDto:
      type: object
      properties:
        id:
          type: string
          minLength: 1
        order:
          type: number
        name:
          type: string
        colorHex:
          type: string
      required:
        - id
        - order
        - name
        - colorHex
      id: PrivateClientStageDto
    DateISO:
      id: DateISO
      format: date-time
      anyOf:
        - type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        - type: string
          format: date
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
    ValidationRequiredDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - REQUIRED
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationRequiredDto
    ValidationInvalidEmptyStringDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_EMPTY_STRING
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidEmptyStringDto
    ValidationUnknownFieldDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - UNKNOWN_FIELD
        path:
          type: string
        message:
          type: string
        received: {}
        keys:
          type: array
          items:
            type: string
      required:
        - code
        - path
        - message
        - keys
      id: ValidationUnknownFieldDto
    ValidationTooSmallDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - TOO_SMALL
        path:
          type: string
        message:
          type: string
        received: {}
        minimum:
          type: number
        inclusive:
          type: boolean
        origin:
          type: string
      required:
        - code
        - path
        - message
        - minimum
        - inclusive
        - origin
      id: ValidationTooSmallDto
    ValidationTooBigDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - TOO_BIG
        path:
          type: string
        message:
          type: string
        received: {}
        maximum:
          type: number
        inclusive:
          type: boolean
        origin:
          type: string
      required:
        - code
        - path
        - message
        - maximum
        - inclusive
        - origin
      id: ValidationTooBigDto
    ValidationInvalidTypeDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_TYPE
        path:
          type: string
        message:
          type: string
        received: {}
        expected:
          type: string
      required:
        - code
        - path
        - message
        - expected
      id: ValidationInvalidTypeDto
    ValidationInvalidValueDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_VALUE
        path:
          type: string
        message:
          type: string
        received: {}
        expected: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidValueDto
    ValidationInvalidEmailDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_EMAIL
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidEmailDto
    ValidationInvalidUuidDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_UUID
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidUuidDto
    ValidationInvalidUrlDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_URL
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidUrlDto
    ValidationInvalidDatetimeDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_DATETIME
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidDatetimeDto
    ValidationInvalidDateDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_DATE
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidDateDto
    ValidationInvalidTimeDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_TIME
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidTimeDto
    ValidationInvalidDurationDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_DURATION
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidDurationDto
    ValidationInvalidIpv4Dto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_IPV4
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidIpv4Dto
    ValidationInvalidIpv6Dto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_IPV6
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidIpv6Dto
    ValidationInvalidJsonStringDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_JSON_STRING
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidJsonStringDto
    ValidationInvalidJwtDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_JWT
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidJwtDto
    ValidationInvalidRegexDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_REGEX
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidRegexDto
    ValidationInvalidPhoneNumberDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_PHONE_NUMBER
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidPhoneNumberDto
    ValidationInvalidDomainDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_DOMAIN
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidDomainDto
    ValidationInvalidHttpsUrlDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_HTTPS_URL
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidHttpsUrlDto
    ValidationInvalidTimezoneDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_TIMEZONE
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidTimezoneDto
    ValidationPaginationOffsetExceededDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - PAGINATION_OFFSET_EXCEEDED
        path:
          type: string
        message:
          type: string
        received: {}
        maximum:
          type: number
      required:
        - code
        - path
        - message
        - maximum
      id: ValidationPaginationOffsetExceededDto
    AppliedClientCustomTextFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - text
        operator:
          type: string
          enum:
            - contains
            - equals
            - startsWith
            - notEquals
        path:
          $ref: '#/components/schemas/ClientCustomAttributePathDto'
        value:
          type: string
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientCustomTextFilterDto
    AppliedClientCustomDateFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - date
        operator:
          type: string
          enum:
            - lessThanOrEqual
            - greaterThanOrEqual
            - equals
            - notEquals
        path:
          $ref: '#/components/schemas/ClientCustomAttributePathDto'
        value:
          $ref: '#/components/schemas/DateISO'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientCustomDateFilterDto
    AppliedClientCustomEmptyDateFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - date
        operator:
          type: string
          enum:
            - isEmpty
            - isNotEmpty
        path:
          $ref: '#/components/schemas/ClientCustomAttributePathDto'
      required:
        - type
        - operator
        - path
      id: PrivateAppliedClientCustomEmptyDateFilterDto
    AppliedClientCustomDateRangeFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - date
        operator:
          type: string
          enum:
            - between
        path:
          $ref: '#/components/schemas/ClientCustomAttributePathDto'
        value:
          type: object
          properties:
            from:
              $ref: '#/components/schemas/DateISO'
            to:
              $ref: '#/components/schemas/DateISO'
          required:
            - from
            - to
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientCustomDateRangeFilterDto
    AppliedClientCustomEntitySelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - entitySelect
        operator:
          type: string
          enum:
            - in
            - notIn
        path:
          $ref: '#/components/schemas/ClientCustomAttributePathDto'
        value:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientCustomEntitySelectFilterDto
    AppliedClientCustomEntityMultiSelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - entitySelect
        operator:
          type: string
          enum:
            - in
            - notIn
            - isAllOf
        path:
          $ref: '#/components/schemas/ClientCustomAttributePathDto'
        value:
          type: array
          items:
            anyOf:
              - type: string
              - type: 'null'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientCustomEntityMultiSelectFilterDto
    AppliedClientCustomNumberFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - number
        operator:
          type: string
          enum:
            - greaterThanOrEqual
            - lessThanOrEqual
        path:
          $ref: '#/components/schemas/ClientCustomAttributePathDto'
        value:
          type: number
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientCustomNumberFilterDto
    AppliedClientCustomNumberRangeFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - number
        operator:
          type: string
          enum:
            - between
        path:
          $ref: '#/components/schemas/ClientCustomAttributePathDto'
        value:
          type: object
          properties:
            from:
              type: number
            to:
              type: number
          required:
            - from
            - to
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientCustomNumberRangeFilterDto
    AppliedClientCustomBooleanFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - boolean
        operator:
          type: string
          enum:
            - equals
            - notEquals
        path:
          $ref: '#/components/schemas/ClientCustomAttributePathDto'
        value:
          type: boolean
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientCustomBooleanFilterDto
    AppliedClientCustomEnumSelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - enumSelect
        operator:
          type: string
          enum:
            - in
            - notIn
            - isAllOf
        path:
          $ref: '#/components/schemas/ClientCustomAttributePathDto'
        value:
          type: array
          items:
            anyOf:
              - type: string
              - type: 'null'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientCustomEnumSelectFilterDto
    AppliedClientCustomEnumListSelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - enumListSelect
        operator:
          type: string
          enum:
            - contains
            - doesNotContain
        path:
          $ref: '#/components/schemas/ClientCustomAttributePathDto'
        value:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientCustomEnumListSelectFilterDto
    AppliedClientCustomCurrencyFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - currency
        operator:
          type: string
          enum:
            - greaterThanOrEqual
            - lessThanOrEqual
        path:
          $ref: '#/components/schemas/ClientCustomAttributePathDto'
        value:
          type: object
          properties:
            amount:
              type: number
            currency:
              $ref: '#/components/schemas/DmCurrency'
          required:
            - amount
            - currency
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientCustomCurrencyFilterDto
    AppliedClientCustomDurationFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - duration
        operator:
          type: string
          enum:
            - greaterThanOrEqual
            - lessThanOrEqual
        path:
          $ref: '#/components/schemas/ClientCustomAttributePathDto'
        value:
          type: number
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientCustomDurationFilterDto
    AppliedClientCustomUrlFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - url
        operator:
          type: string
          enum:
            - equals
            - notEquals
            - contains
            - startsWith
        path:
          $ref: '#/components/schemas/ClientCustomAttributePathDto'
        value:
          type: string
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientCustomUrlFilterDto
    AppliedClientCustomTimeStampFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - timestamp
        operator:
          type: string
          enum:
            - greaterThanOrEqual
            - lessThanOrEqual
        path:
          $ref: '#/components/schemas/ClientCustomAttributePathDto'
        value:
          $ref: '#/components/schemas/DateISO'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientCustomTimeStampFilterDto
    AppliedClientCustomRatingFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - rating
        operator:
          type: string
          enum:
            - greaterThanOrEqual
            - lessThanOrEqual
            - equals
        path:
          $ref: '#/components/schemas/ClientCustomAttributePathDto'
        value:
          type: number
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientCustomRatingFilterDto
    AppliedClientCustomRatingRangeFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - rating
        operator:
          type: string
          enum:
            - between
        path:
          $ref: '#/components/schemas/ClientCustomAttributePathDto'
        value:
          type: object
          properties:
            from:
              type: number
            to:
              type: number
          required:
            - from
            - to
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedClientCustomRatingRangeFilterDto
    ClientCustomAttributePathDto:
      type: string
      pattern: ^client\.custom\.[^\r\n]+$
      id: PrivateClientCustomAttributePathDto
    DmCurrency:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BTC
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHF
        - CLF
        - CLP
        - CNH
        - CNY
        - COP
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GGP
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HRK
        - HTG
        - HUF
        - IDR
        - ILS
        - IMP
        - INR
        - IQD
        - IRR
        - ISK
        - JEP
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLE
        - SLL
        - SOS
        - SRD
        - SSP
        - STD
        - STN
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VEF
        - VES
        - VND
        - VUV
        - WST
        - XAF
        - XAG
        - XAU
        - XCD
        - XCG
        - XDR
        - XOF
        - XPD
        - XPF
        - XPT
        - YER
        - ZAR
        - ZMW
        - ZWG
        - ZWL
      id: DmCurrency
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````